How create assembly relationship based on user input

Pioneer
Pioneer

Hi all,

I'm working on macro which should create specific series of geometrical constrains based on user input - two edges need to be chosen by user.
I studied a macro sample in SE installation, as well as MouseEvents demo done by Jason - thank you, it is very inspirative.
I use seLocatefilter to choose the edges but the issue is: It is possible to use objects taken by pGraphicDispatch as inputs for adding relationsships?
I would say no, because in this objects aren't all needed information to create relationship, but maybe I'm wrong.(At least I tried it and it didn't work)
Also it is question if there is another way how to get objects from selected geometry to create relationship?

It would be interesting to scan what type of objects are selected in native command "Assemble" in the SolidEdge - but when I run this command and select
some edge, and scan highlight or selected set, they are always empty.

I would appreciate any idea to move forward.

Thank you

Lubos

3 REPLIES

Re: How create assembly relationship based on user input

Siemens Phenom Siemens Phenom
Siemens Phenom

You need to make sure you are passing a reference (SolidEdgeFramework Reference object) to the geometry and not just the pointer to the geometry. The reference is needed so that the relationship being created can get the occurrence information that is needed. This could be why you aren't able to create the relationship.

 

Greg

Re: How create assembly relationship based on user input

Pioneer
Pioneer
Hello Greg, your're right. It works now.
Thank you for your help!

Re: How create assembly relationship based on user input

Siemens Phenom Siemens Phenom
Siemens Phenom

Great!